unit ltrapi;
interface
uses windows, SysUtils, ltrapitypes, ltrapidefine;

const
          LTR_OK                    =  0;     //*  .*/
          LTR_ERROR_UNKNOWN         = -1;     //* .*/
          LTR_ERROR_PARAMETRS       = -2;     //*  .*/
          LTR_ERROR_MEMORY_ALLOC    = -3;     //*   .*/
          LTR_ERROR_OPEN_CHANNEL    = -4;     //*     .*/
          LTR_ERROR_OPEN_SOCKET     = -5;     //*  .*/
          LTR_ERROR_CHANNEL_CLOSED  = -6;     //*.      .*/
          LTR_ERROR_SEND            = -7;     //*  .*/
          LTR_ERROR_RECV            = -8;     //*  .*/
          LTR_ERROR_EXECUTE         = -9;     //*   -.*/
          LTR_WARNING_MODULE_IN_USE = -10;    //*       
                                                //   -  */
type
TLTR=packed record
     saddr:Cardinal;                     //   
	   sport:word;                         //   
	   csn:SERNUMtext;                     //   
	   cc:WORD;                            //   
	   flags:Cardinal;                     //   
	   tmark:Cardinal;                     //    
	   internal:Pointer;                   //   
end;
pTLTR = ^TLTR;

Function LTR_Init(ltr:pTLTR):integer;  stdcall;
Function LTR_Open(ltr:pTLTR):integer;  stdcall;
Function LTR_Close(ltr:pTLTR):integer;  stdcall;
Function LTR_IsOpened(ltr:pTLTR):integer;  stdcall;
Function LTR_Recv(ltr:pTLTR; dataDWORD:Pointer; tmarkDWORD:POINTER; size:Cardinal; timeout:Cardinal):integer;  stdcall;
Function LTR_Send(ltr:pTLTR; dataDWORD:Pointer; size:Cardinal; timeout:Cardinal):integer;  stdcall;
Function LTR_GetCrates(ltr:pTLTR; csnBYTE:Pointer):integer;  stdcall;
Function LTR_GetCrateModules(ltr:pTLTR; midWORD:Pointer):integer;  stdcall;
Function LTR_SetServerProcessPriority(ltr:pTLTR; Priority:Cardinal):integer;  stdcall;
Function LTR_GetCrateRawData(ltr:pTLTR; dataDWORD:Pointer; tmarkDWORD:Pointer; size:Cardinal; timeout:Cardinal):integer;  stdcall;
Function LTR_GetErrorString(error:integer):string;  stdcall;

Implementation

  Function LTR_Init(ltr:pTLTR):integer;external 'ltrapi.dll';
  Function LTR_Open(ltr:pTLTR):integer;external 'ltrapi.dll';
  Function LTR_Close(ltr:pTLTR):integer;external 'ltrapi.dll';
  Function LTR_IsOpened(ltr:pTLTR):integer;external 'ltrapi.dll';
  Function LTR_Recv(ltr:pTLTR; dataDWORD:Pointer; tmarkDWORD:POINTER; size:Cardinal; timeout:Cardinal):integer;external 'ltrapi.dll';
  Function LTR_Send(ltr:pTLTR; dataDWORD:Pointer; size:Cardinal; timeout:Cardinal):integer;external 'ltrapi.dll';
  Function LTR_GetCrates(ltr:pTLTR; csnBYTE:Pointer):integer;external 'ltrapi.dll';
  Function LTR_GetCrateModules(ltr:pTLTR; midWORD:Pointer):integer;external 'ltrapi.dll';
  Function LTR_SetServerProcessPriority(ltr:pTLTR; Priority:Cardinal):integer;external 'ltrapi.dll';
  Function LTR_GetCrateRawData(ltr:pTLTR; dataDWORD:Pointer; tmarkDWORD:Pointer; size:Cardinal; timeout:Cardinal):integer;external 'ltrapi.dll';
  Function LTR_GetErrorString(error:integer):string; external 'ltrapi.dll';

end.


